*******************************************************************************;
* vO: P01-03-04.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: R߁@Q̕ϒl̔r                                  *;
* gpړI: of[^ɂđQԂł̈Ⴂ                    *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: of[^ɂđQԂł̈Ⴂ';
footnote 'Program: P01-03-04.SAS';

* ----- Tvf[^쐬 ;
data DT01;
  input CASE DOSE @@;
  do TIME=0 to 16 by 4;
    input VAL @@;
    output;
  end;
  cards;
 1  10  121  118  118  106  100
 2  10  149  126  116  100  124
 3  10  128  115  113  113  116
 4  10  132  116   98  109  118
 5  20  134  121   87  112  108
 6  20  118  129   90  102   86
 7  20  132  114  122   93  126
 8  20  124  109  112   95  117
 9  40  124  126  106   92   76
10  40  111  108  121  122   93
11  40  127  101   91   97   95
12  40  128  113   93  101  102
;
run ;

* -----plotvVWɂUz} ;
proc plot data=DT01;
  plot VAL*TIME=CASE;
run;

* -----gplotvVWɂUz} ;
* Ǘᖈ̐;
goptions ftext=kanji ;
proc gplot data=DT01;
  plot VAL*TIME=CASE;
  symbol1 i=join r=30;
run;
quit;

*pʌQ̕ϒl1SD͈͂̃vbg;
data DT02;
  set DT01;
  select ;
    when (dose=10) time2=time;
    when (dose=20) time2=time+0.2;
    when (dose=40) time2=time+0.4;
  end;
run;

proc gplot data = DT02;
  plot VAL*TIME2=DOSE;
  symbol1 v=none i=std01jt r=5;
run;
quit;

* ----- MIXEDvVWɂof[^̉ ;
ods output SolutionF=OUT01
           Tests3   =OUT02
           Contrasts=OUT03
           LSMeans  =OUT04
           Diffs    =OUT05;

proc mixed data = DT01;
  class CASE DOSE TIME;
  model VAL=DOSE TIME / ddfm=satterth solution cl;
  where TIME^=0;
  repeated TIME / sub=CASE type=cs;
  lsmeans DOSE TIME / cl diffs;
  contrast '-1 0 1' DOSE -1 0 1;
  contrast '-2 1 1' DOSE -2 1 1;
run;

proc print data=OUT01;run;
proc print data=OUT02;run;
proc print data=OUT03;run;
proc print data=OUT04;run;
proc print data=OUT05;run;


* ----- MIXEDvVWɂݍp̌of[^̉ ;

proc mixed data=DT01;
  class CASE DOSE TIME;
  model VAL=DOSE TIME DOSE*TIME / ddfm=satterth solution cl ;
  where TIME^=0;
  repeated TIME / sub=CASE type=cs ;
  lsmeans DOSE TIME DOSE*TIME / cl diffs ;
  contrast '-1 0 1' DOSE -1 0 1;
  contrast '-2 1 1' DOSE -2 1 1;
run ; 

proc print data=OUT01;run;
proc print data=OUT02;run;
proc print data=OUT03;run;
proc print data=OUT04;run;
proc print data=OUT05;run;

