*******************************************************************************;
* vO: P01-11-01.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: PP߁@̌                                      *;
* gpړI: NXI[o[fUC̉͂siwIj          *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: NXI[o[fUC̉͂siwIj';
footnote 'Program: P01-11-01.SAS';

* ----- Tvf[^쐬;
data DT01 ;
  length SUBJID $2 GROUP $1 ;
  input SUBJID GROUP PERIOD TREAT AUC ;
  LN_AUC = log(AUC) ;
cards ;
01 A 1 1 103.40
01 A 2 2 90.11
02 A 1 1 59.92
02 A 2 2 77.71
03 A 1 1 68.17
03 A 2 2 77.71
04 A 1 1 94.54
04 A 2 2 97.51
05 A 1 1 69.48
05 A 2 2 58.21
06 A 1 1 72.17
06 A 2 2 101.30
07 B 1 2 79.84
07 B 2 1 74.37
08 B 1 2 96.06
08 B 2 1 84.44
09 B 1 2 89.30
09 B 2 1 96.74
10 B 1 2 97.22
10 B 2 1 94.26
11 B 1 2 61.62
11 B 2 1 48.52
12 B 1 2 85.80
12 B 2 1 95.68
;
run ;

proc print data=DT01;
run;

* ----- TTESTvVWɂvi􉽕ρj;
proc ttest data = DT01 dist = lognormal ;
  class TREAT ;
  var AUC ;
run ;

* ----- MIXEDvVWɂ鏈uԂ̔r;
ods output Diffs = Diffs ;
proc mixed data = DT01 ;
  class GROUP SUBJID PERIOD TREAT ;
  model LN_AUC = GROUP PERIOD TREAT / ddfm = kenwardroger ;
  random SUBJID(GROUP) ;
  lsmeans TREAT / diff=control('2') cl alpha = 0.1 ;
run ;
