*******************************************************************************;
* vO: P01-02-03.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: Q߁@QQ̕ϒl̔r                                  *;
* gpړI: Ή̂tAAWilcoxoň                         *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: Ή̂tAAWilcoxoň';
footnote 'Program: P01-02-03.SAS';

* ----- Tvf[^쐬;
data DATA2;
  input NUM TOYO_0 TOYO_9 @@;
  DIFF=round(TOYO_9 - TOYO_0,0.01);
  cards;
 1 0.80 0.80  2 0.70 0.60  3 0.80 0.90  4 1.10 1.00
 5 0.80 1.00  6 1.00 1.10  7 0.40 0.50  8 0.60 0.50
 9 1.00 0.90 10 0.90 1.00 11 0.70 0.50 12 0.70 0.60
13 0.70 0.80 14 0.60 0.60 15 0.90 0.80 16 1.00 0.90
17 0.90 0.80 18 0.40 0.70 19 1.10 1.10 20 1.00 1.10
;
run ;

proc print;
run;

* ----- UNIVARIATEvVWɂΉ̂tWILCOXON̕tʘa;
proc univariate data=DATA2 noprint;
  var DIFF;
  output out=OUT_U t=T probt=PROBT 
                   msign=MSIGN probm=PROBM 
                   signrank=SIGNRANK probs=PROBS;
run;

proc print data=OUT_U;
run;


* ----- TTESTvVWɂΉ̂t;
proc ttest data=DATA2;
  paired TOYO_0 * TOYO_9;
run;

