*******************************************************************************;
* vO: P01-04-02.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: S߁@ւƉA                                          *;
* gpړI: A͂s                                                    *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: A';
footnote 'Program: P01-04-02.SAS';

* ----- Tvf[^쐬;
data DT02;
  input NO X Y @@ ;
cards;
 1 1.3 1.7  2 2.1 2.6  3 2.7 3.0  4 1.6 0.1  5 2.3 3.9  6 1.7 1.6  7 1.8 1.5 
 8 2.1 1.7  9 1.8 2.6 10 1.7 1.8 11 1.4 1.3 12 1.6 2.1 13 2.1 2.9 14 1.7 1.7 
15 1.9 2.2 16 2.2 2.4 17 1.2 0.6                                             
;
run ;

proc print data=DT02;
run;

* ----- REGvVWɂA;
proc reg data=DT02 outest=OUT;
  model Y=X;
run;

proc print data=OUT;
run;

data OUT;
  set OUT;
  drop _TYPE_;
run;

proc summary data=DT02;
  var X;
  output out=OUT2 n=N css=CSS;
run;

data OUT3;
  merge OUT OUT2;
  ALPHA=0.05;
  CL=X-tinv(1-ALPHA/2,N-2)*_RMSE_/sqrt(CSS);
  CU=X+tinv(1-ALPHA/2,N-2)*_RMSE_/sqrt(CSS);
run;

proc print data=OUT3;
  var CL CU;
run;

