*******************************************************************************;
* vO: P01-05-02.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: T߁@Qlf[^̔r                                    *;
* gpړI: W{̐mȏo̐ME߂                            *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: W{̐mȏo̐ME߂';
footnote 'Program: P01-05-02.SAS';

* ----- Tvf[^쐬;
data DAT11;
  input X W;
  cards;
1  16
2  34
;
run;

data DAT12;
  input N X;
  cards;
50 16
;
run;

* ----- freqvVWɂvZ ;
proc freq data=DAT11;
  tables X / binomial (level = 1);
  output out=OUT11 binomial;
  weight W / zeros;
run;

proc print data=OUT11;
run;

* ----- vVWgȂvZ ;
data OUT12;
  set DAT12;
  * ----- ľvZ;
  V1=2*(N-X+1);
  V2=2*X;
  PL=V2/(V2+V1*finv(0.975,V1,V2))*100;
  * ----- ľvZ;
  V1=2*(X+1);
  V2=2*(N-X);
  PU=V1*finv(0.975,V1,V2)/(V2+V1*finv(0.975,V1,V2))*100;
  * ----- _ľvZ;
  MEAN=X/N*100;
run;



title 'Title: W{̐mȏo̐ME߂(o0%,N=50̏ꍇ)';

* ----- Tvf[^쐬;
data DAT21;
  input X W;
  cards;
1   0
2  50
;
run;

data DAT22;
  input N X;
  cards;
50 16
;
run;

* ----- freqvVWɂvZ ;
proc freq data=DAT21;
  tables X / binomial (level = 1);
  output out=OUT21 binomial;
  weight W / zeros;
run;

* ----- Ql:  ;
title 'Title: o0%,N=50,Б=0.05̏ꍇ (freqvVW̌ʂ͕Б=0.025̏ꍇvƂȂ)';
%let ALPHA=0.05;

* ----- vVWgȂvZ ;
data OUT22;
  set DAT22;
  * ----- ľvZ;
  PL=0;
  * ----- ľvZ;
  PU=100*(1-&ALPHA**(1/N));
  * ----- _ľvZ;
  X=0;
  MEAN=X/N*100;
run;



title 'Title: W{̐mȏo̐ME߂(o100%,N=50̏ꍇ)';

* ----- Tvf[^쐬;
data DAT31;
  input X W;
  cards;
1  50
2   0
;
run;

data DAT32;
  input N X;
  cards;
50 50
;
run;

* ----- vZ;
proc freq data=DAT31;
  tables X / binomial (level = 1);
  output out=OUT31 binomial;
  weight W / zeros;
run;

* ----- Ql:  ;
title 'Title: o100%,N=50,Б=0.05̏ꍇ(freqvVW̌ʂ͕Б=0.025̏ꍇvƂȂ)';
%let ALPHA=0.05;

* ----- vZ;
data OUT32;
  set DAT32;
  * ----- ľvZ;
  PL=100*(&ALPHA**(1/N));
  * ----- ľvZ;
  PU=100;
  * ----- _ľvZ;
  MEAN=X/N*100;
run;
