*******************************************************************************;
* vO: P01-08-04.SAS                                                 *;
* eLXg̏: Ṕ@SAS/RpX͎̉                         *;
* eLXg̐: W߁@X̌                                        *;
* gpړI: pʁ|֌W̌osBiΔpj                  *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: pʁ|֌W̌osiΔp)';
footnote 'Program: P01-08-04.SAS';

data SAMPLE;
  input DOSE $ SBP_AF @@;
cards;
A 128 A 123 A 143 A 133 A 123 A 144 A 135 A 147 A 120 A 150
B 127 B 130 B 140 B 125 B 138 B 127 B 121 B 127 B 148 B 140
C 112 C 139 C 118 C 113 C 120 C 117 C 131 C 126 C 127 C 111
D 118 D 121 D 115 D 120 D 129 D 136 D 120 D 123 D 141 D 113
;
run;

proc univariate data=SAMPLE plot;
  VAR SBP_Af;
  by DOSE;
run;

proc multtest data=SAMPLE permutation nsample=10000 seed=8818;
  class DOSE;
  test mean(SBP_AF/uppertailed);
  contrast 'linear'  3  1 -1 -3;
  contrast 'l-end'   3 -1 -1 -1;
  contrast 'm-end'   5  1 -3 -3;
  contrast 'm-start' 3  3 -1 -5;
  contrast 'h-start' 1  1  1 -3;
run;

