*******************************************************************************;
* vO: P02-01-01.SAS                                                 *;
* eLXg̏: Q́@SAS/RpX̗ᐔ݌v                     *;
* eLXg̐: P߁@PQ̎@                                        *;
* gpړI: 䗦̌ɂĂ̗ᐔ߂                                *;
* Date: 2017/2/3  Version: 1.0                                                *;
*******************************************************************************;

* ----- o͐ݒ;
options linesize=80 pagesize=66 nodate;
title 'Title: 䗦̌ɂĂ̗ᐔ߂';
footnote 'Program: P02-01-01.SAS';

*---  䗦̌ɂǗᐔ ---*;
/*-----p[^w---------------------------------------------------------*/
/*  ALPHA  : LӐ                                                         */
/*  BETA   : 2̉ߌ                                                      */
/*  P0     : m̕䗦 P0                                                  */
/*  P1     : z肷䗦 P1                                                */
/*----------------------------------------------------------------------------*/
%macro P1(ALPHA, BETA, P0, P1); 
  data WORK1;
    ALPHA=&ALPHA; 
    BETA=&BETA;
    ZALPHA=probit(1-&ALPHA/2); 
    ZBETA=probit(1-&BETA);
    P0=&P0; 
    P1=&P1;
    N=(probit(1-&ALPHA/2)*sqrt(&P0*(1-&P0))+ 
       probit(1-&BETA)*sqrt(&p1*(1-&P1)) )**2 / (&P1-&P0)**2; 
  run;
   
  proc print; 
    var ALPHA BETA ZALPHA ZBETA P0 P1 N;
  run; 
%mend;

%P1(0.05, 0.20, 0.10, 0.15); 

*--- POWERvVWpꍇ ---*;
proc power;
  onesamplefreq test = z
  method = normal
  sides = 2
  alpha = 0.05
  nullproportion = 0.10
  proportion = 0.15
  ntotal= .
  power = 0.80;
run;

*---  Ǘᐔ猟o͂߂ ---*;
/*-----p[^w---------------------------------------------------------*/
/*  ALPHA  : LӐ                                                         */
/*  N      : Ǘᐔ                                                           */
/*  P0     : m̕䗦 P0                                                  */
/*  P1     : z肷䗦 P1                                                */
/*----------------------------------------------------------------------------*/
%macro P1_N(ALPHA, N, P0, P1); 
  data WORK2;
    ALPHA=&ALPHA; 
    N=&N; 
    P0=&P0; 
    P1=&P1;
    ZALPHA=probit(1-&ALPHA/2) ;
    ZBETA= ( sqrt(&N) * (&P1 - &P0) - probit(1-&ALPHA/2)*
             sqrt(&P0*(1-&P0)) ) / sqrt(&P1*(1-&P1)); 
    power= probnorm(ZBETA); 
  run; 
  
  proc print; 
    var ALPHA N P0 P1 ZALPHA ZBETA power;
  run;
%mend;

%P1_N(0.05, 200, 0.10, 0.15);

*--- POWERvVWpꍇ ---*;
proc power;
  onesamplefreq test = z
  method = normal
  sides = 2
  alpha = 0.05
  nullproportion = 0.10
  proportion = 0.15
  ntotal= 200
  power = .;
run;
